Siemens LOGO! Soft Comfort Remote Code Execution Vulnerability

Summary

A vulnerability has been identified in LOGO! Soft Comfort (All versions). The vulnerability could allow an attacker to execute arbitrary code if the attacker tricks a legitimate user to open a manipulated project. In order to exploit the vulnerability, a valid user must open a manipulated project file. No further privileges are required on the target system. The vulnerability could compromise the confidentiality, integrity and availability of the engineering station. At the time of advisory publication no public exploitation of this security vulnerability was known.

Credit:

The information has been provided by axt.
The original article can be found at: https://cert-portal.siemens.com/productcert/pdf/ssa-102144.pdf


Details

Siemens LOGO! Soft Comfort is prone to a remote code-execution vulnerability.This allows a remote attacker to exploit this issue to execute arbitrary code in the context of the user running the affected application. Failed exploit attempts may result in a denial-of-service condition. 

Vulnerable Systems:

  • Siemens LOGO! Soft Comfort 8.2
  • Siemens LOGO! Soft Comfort 8.0
  • Siemens LOGO! Soft Comfort 7.0
  • Siemens LOGO! Soft Comfort 6.0
  • Siemens LOGO! Soft Comfort 5.0
  • Siemens LOGO! Soft Comfort 4.0
  • Siemens LOGO! Soft Comfort 3.0
  • Siemens LOGO! Soft Comfort 2.0
  • Siemens LOGO! Soft Comfort 1.0

CVE Information:
CVE-2019-10924

Disclosure Timeline:
Publish Date:05/14/2019